# LINT.IfChange(bcr_presubmit)
bcr_test_module:
  module_path: examples
  matrix:
    platform: ["debian10", "macos", "macos_arm64", "ubuntu2004", "windows"]
    bazel: [8.x]

  tasks:
    verify_targets:
      name: "Verify build targets"
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
      - '//...'
      - '@com_google_protobuf//:protobuf'
      - '@com_google_protobuf//:protobuf_lite'
      - '@com_google_protobuf//:protobuf_python'
      - '@com_google_protobuf//:protobuf_java'
      - '@com_google_protobuf//:protoc'
      - '@com_google_protobuf//:test_messages_proto2_cc_proto'
      - '@com_google_protobuf//:test_messages_proto3_cc_proto'
# LINT.ThenChange(<ROOT_DIR>/.bazelci/presubmit.yml)
